Sunday, January 9, 2011

Missing 1.4 firmware option when updating UCS B Series infrastructure components from 1.3

I received a call from a colleague earlier last week about a problem updating the firmware for a new UCS B Series infrastructure that he was deploying.  Just an hour ago I had showed him where to download the packages and how to FTP or TFTP it onto the 6120 Fabric Interconnects but what was interesting was how I was initially stumped when we initiated a desktop share and he showed me how only certain components had 1.4 as an option while all the others did not.  The following is basically what I saw initially:

image

Notice how 1.4(1i) was an option for the IO Modules but not the Interface cards?

image

So after browsing around trying to figure out what the problem was, I remembered that unlike the older 1.3 firmware, there was more than one package to download when updating to version 1.4.  Reviewing the Packages tab of the UCSM he was working with confirmed that he only had the ucs-k9-bundle-infra.1.4.1i.A.bin downloaded:

image

I explained that this bundle only contained a subset of the files he needed to update all the components and ended up sending him a screenshot of the bundle ucs-k9-bundle-b-series.1.4.1i.B.bin which he was missing:

image

Once he downloaded that package and uploaded it, he was able to proceed with updating the other components. 

The following is a link to a forum post with more information about the packages required (note there are 4 in total): 

https://supportforums.cisco.com/message/3254903

image

1 comment:

Anonymous said...

Hi Terence,

Could you also share how to FTP or TFTP the firmware onto the 6120 Fabric Interconnects?